[Clfs-commits] [Bootscripts Embedded]Bootscripts for CLFS Embedded branch, master, updated. 73ee2a6d691c4c1c3cdb9e0cad82235e75ed7ab9

git git at cross-lfs.org
Fri Feb 11 05:07:52 PST 2011


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Bootscripts for CLFS Embedded".

The branch, master has been updated
       via  73ee2a6d691c4c1c3cdb9e0cad82235e75ed7ab9 (commit)
       via  292c8323d9ad92439f1b20732aadbc20b191d8dd (commit)
      from  5d96f6ac4b291f703f57141a9e6564d095e7d76e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 73ee2a6d691c4c1c3cdb9e0cad82235e75ed7ab9
Author: Andrew Bradford <bradfa at gmail.com>
Date:   Sun Jan 30 13:17:04 2011 -0500

    Imported new bootscripts
    
    Imported bootscripts that did not yet exist from clfs-embedded/bootscripts
    as bootscripts should be kept in this repo rather than in the
    clfs-embedded repo.
    
    These scripts have NOT BEEN TESTED! (yet)
    This is part of a cleanup of bootscripts.

diff --git a/clfs/rc.d/init.d/bcm47xx-switch b/clfs/rc.d/init.d/bcm47xx-switch
new file mode 100755
index 0000000..f4b5874
--- /dev/null
+++ b/clfs/rc.d/init.d/bcm47xx-switch
@@ -0,0 +1,74 @@
+#!/bin/ash
+#
+# Broadcom 47xx vlan and switch configuration init script
+#
+# Config: uses the 'nvram' settings for setting up vlan devices
+
+. /etc/rc.d/init.d/functions
+
+if [ ! -x /sbin/robocfg ]; then
+	echo -n "Setting up vlan: /sbin/robocfg not found "
+	false
+	check_status
+fi
+
+if [ ! -x /sbin/vconfig ]; then
+	echo -n "Setting up vlan: /sbin/vconfig not found "
+	false
+	check_status
+fi
+
+if [ ! -x /sbin/nvram ]; then
+	echo -n "Setting up vlan: /sbin/nvram not found "
+	false
+	check_status
+fi
+
+case "$1" in
+start)
+
+	# Add a specific workaround for the case of weirdly set wireless mac address
+	# Do what openwrt is doing, and increment the last hex with 2
+	if [ "`nvram get il0macaddr`" = 00:90:4c:5f:00:2a ]; then
+		et0="$(nvram get et0macaddr)"
+		prefix="$(echo $et0 | sed -e 's/:..$//')"
+		addendum=$(( (0x$(echo $et0 | sed -e s/.*://g) + 2) % 256 ))
+		il0=$(printf %s:%02x $prefix $addendum)
+		echo -n "Fixing up wlan0 mac address: "
+		nvram set il0macaddr=$il0 && nvram commit
+		check_status
+		ifconfig wlan0 hw ether $il0 2>/dev/null
+	fi
+
+	# eth0 has to be up for this
+	ifconfig eth0 up
+
+	robocfg switch disable
+	robocfg vlans enable reset
+
+	nvram show | grep vlan[0-4]ports= | sed -e s/vlan// -e s/ports=/\ / |
+	  while read vlan ports; do
+		echo -n "Bringing up eth0.${vlan}: "
+		robocfg vlan ${vlan} ports "${ports}" &&
+		vconfig add eth0 $vlan
+		check_status
+	done
+	robocfg switch enable
+	exit 0
+	;;
+stop)
+	# FIXME: Should we really do something at shutdown?
+	exit 0
+	;;
+restart)
+	$0 stop
+	$0 start
+	;;
+status)
+	robocfg show
+	;;
+*)
+	echo "Usage: $0 {start|stop|restart|status}"
+	exit 1
+esac
+
diff --git a/clfs/rc.d/init.d/bridge b/clfs/rc.d/init.d/bridge
new file mode 100755
index 0000000..85c7a7a
--- /dev/null
+++ b/clfs/rc.d/init.d/bridge
@@ -0,0 +1,59 @@
+#!/bin/ash
+#
+# Network interface(s) init script
+#
+# config: /etc/network.conf
+#	 /etc/network.d/interface.[devname]
+
+. /etc/rc.d/init.d/functions
+. /etc/network.conf
+
+if [ "$NETWORKING" != "yes" ] || [ "${BRIDGE_INTERFACES}" = "" ]; then
+	exit 0
+fi
+
+if [ ! -x /usr/sbin/brctl ]; then
+	echo -n "Setting up bridge: /usr/sbin/brctl not found "
+	false
+	check_status
+fi
+
+case "$1" in
+start)
+	echo -n "Adding bridge br0: "
+	brctl addbr br0
+	check_status
+
+	for n in ${BRIDGE_INTERFACES}; do
+		echo -n "Adding ${n} to bridge: "
+		brctl addif br0 ${n}
+		# Bring up the interface unless its wireless
+		# Wireless has to be configured before you can put it up
+		if [ $? = 0 ] && [ ${n} != wlan0 ]; then ifconfig ${n} up; fi
+		check_status
+	done
+	;;
+stop)
+	for n in ${BRIDGE_INTERFACES}; do
+		echo -n "Removing ${n} from bridge br0: "
+		ifconfig ${n} down 2>/dev/null
+		brctl delif br0 ${n}
+		check_status
+	done
+	echo -n "Removing bridge br0: "
+	ifconfig br0 down 2>/dev/null
+	brctl delbr br0
+	check_status
+	;;
+restart)
+	$0 stop
+	$0 start
+	;;
+status)
+	brctl show
+	;;
+*)
+	echo "Usage: $0 {start|stop|restart|status}"
+	exit 1
+esac
+
diff --git a/clfs/rc.d/init.d/hostapd b/clfs/rc.d/init.d/hostapd
new file mode 100755
index 0000000..70f79b0
--- /dev/null
+++ b/clfs/rc.d/init.d/hostapd
@@ -0,0 +1,53 @@
+#!/bin/ash
+
+# Hostapd Startup Script
+#
+
+. /etc/rc.d/init.d/functions
+
+PIDFILE=/var/run/hostapd.pid
+
+if [ ! -x /usr/sbin/hostapd ]; then
+	echo -n "Starting hostapd: /usr/sbin/hostapd not found "
+	false
+	check_status
+	exit 0
+fi
+
+if [ ! -f /etc/hostapd.conf ]; then
+	echo -n "Starting hostapd: /etc/hostapd.conf not found "
+	false
+	check_status
+	exit 0
+fi
+
+case "$1" in
+start)
+	echo -n "Starting hostapd: "
+	hostapd -P "$PIDFILE" -B /etc/hostapd.conf
+	check_status
+	;;
+stop)
+	if [ -r "$PIDFILE" ]; then
+		echo -n "Stopping hostapd: "
+		kill `cat "$PIDFILE"`
+		check_status
+	else
+		echo "Service hostapd not running."
+	fi
+	;;
+restart)
+	$0 stop
+	$0 start
+	;;
+status)
+	if [ -r "$PIDFILE" ]; then
+		echo "Service hostapd running (PID $(cat "$PIDFILE"))."
+	else
+		echo "Service hostapd not running."
+	fi
+	;;
+*)
+	echo "Usage: $0 {start|stop|restart|status}"
+	exit 1
+esac

commit 292c8323d9ad92439f1b20732aadbc20b191d8dd
Author: Andrew Bradford <bradfa at gmail.com>
Date:   Sun Jan 30 13:13:21 2011 -0500

    Imported updates of existing bootscripts
    
    Imported bootscripts that already existed from clfs-embedded/bootscripts
    as bootscripts should be kept in this repo rather than in the
    clfs-embedded repo.
    
    The script changes have NOT BEEN TESTED! (yet)
    This is part of a cleanup of bootscripts.

diff --git a/Makefile b/Makefile
index 7aeb6ac..176d146 100644
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,4 @@
-VERSION		:= 1.0-pre4
+VERSION		:= 1.0-pre5
 
 ETCDIR		:= /etc
 EXTDIR		:= ${DESTDIR}${ETCDIR}
@@ -11,13 +11,12 @@ all:
 	@echo dist
 	@echo "Select an appropriate install target from the above list" ; exit 1
 
-.PHONY: dist
 dist:
-	rm -rf "dist/bootscripts-clfs-embedded-$(VERSION)"
-	mkdir -p "dist/bootscripts-clfs-embedded-$(VERSION)"
-	tar --exclude dist -c * | tar -x -C "dist/bootscripts-clfs-embedded-$(VERSION)"
-	(cd dist; tar -cjf "bootscripts-clfs-embedded-$(VERSION).tar.bz2" "bootscripts-clfs-embedded-$(VERSION)")
-	rm -rf "dist/bootscripts-clfs-embedded-$(VERSION)"
+	rm -rf "dist/clfs-embedded-bootscripts-$(VERSION)"
+	mkdir -p "dist/clfs-embedded-bootscripts-$(VERSION)"
+	tar --exclude dist -c * | tar -x -C "dist/clfs-embedded-bootscripts-$(VERSION)"
+	(cd dist; tar -cjf "clfs-embedded-bootscripts-$(VERSION).tar.bz2" "clfs-embedded-bootscripts-$(VERSION)")
+	rm -rf "dist/clfs-embedded-bootscripts-$(VERSION)"
 
 create-dirs:
 	install -d -m ${DIRMODE} ${EXTDIR}/rc.d/{init.d,start,stop}
@@ -28,14 +27,28 @@ install-bootscripts: create-dirs
 	install -m ${MODE} clfs/rc.d/shutdown        ${EXTDIR}/rc.d/
 	install -m ${MODE} clfs/rc.d/init.d/network  ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} clfs/rc.d/init.d/syslog   ${EXTDIR}/rc.d/init.d/
+	install -m ${MODE} clfs/rc.d/init.d/bridge   ${EXTDIR}/rc.d/init.d/
 	ln -sf ../init.d/syslog ${EXTDIR}/rc.d/start/S05syslog
 	ln -sf ../init.d/syslog ${EXTDIR}/rc.d/stop/K99syslog
 	ln -sf ../init.d/network ${EXTDIR}/rc.d/start/S10network
 	ln -sf ../init.d/network ${EXTDIR}/rc.d/stop/K80network
+	ln -sf ../init.d/bridge ${EXTDIR}/rc.d/start/S09bridge
+	ln -sf ../init.d/bridge ${EXTDIR}/rc.d/stop/K81bridge
+
+install-bcm47xx: create-dirs
+	install -m ${MODE} clfs/rc.d/init.d/bcm47xx-switch ${EXTDIR}/rc.d/init.d/
+	ln -sf ../init.d/bcm47xx-switch ${EXTDIR}/rc.d/start/S08bcm47xx-switch
+	ln -sf ../init.d/bcm47xx-switch ${EXTDIR}/rc.d/stop/K82bcm47xx-switch
 
 install-dropbear: create-dirs
 	install -m ${MODE} clfs/rc.d/init.d/sshd   ${EXTDIR}/rc.d/init.d/
 	ln -sf ../init.d/sshd ${EXTDIR}/rc.d/start/S30sshd
 	ln -sf ../init.d/sshd ${EXTDIR}/rc.d/stop/K30sshd
 
-.PHONY: all create-dirs install install-dropbear
+install-hostapd: create-dirs
+	install -m ${MODE} clfs/rc.d/init.d/hostapd ${EXTDIR}/rc.d/init.d
+	ln -sf ../init.d/hostapd ${EXTDIR}/rc.d/start/S08hostapd
+	ln -sf ../init.d/hostapd ${EXTDIR}/rc.d/stop/K82hostapd
+
+.PHONY: dist all create-dirs install install-bcm47xx install-dropbear \
+        install-hostapd
diff --git a/clfs/rc.d/init.d/functions b/clfs/rc.d/init.d/functions
index d339e6a..3c8521d 100755
--- a/clfs/rc.d/init.d/functions
+++ b/clfs/rc.d/init.d/functions
@@ -10,12 +10,12 @@ PATH=/bin:/sbin:/usr/bin:/usr/sbin
 #
 check_status()
 {
-  local ERR=$?
-  echo -en "\\033[65G"
-  if [ $ERR = 0 ]; then
-    echo -en "\\033[1;32mOK"
-  else
-    echo -en "\\033[1;31mFAIL"
-  fi
-  echo -e "\\033[0;39m"
+	local ERR=$?
+	echo -en "\\033[65G"
+	if [ $ERR = 0 ]; then
+		echo -en "\\033[1;32mOK"
+	else
+		echo -en "\\033[1;31mFAIL"
+	fi
+	echo -e "\\033[0;39m"
 }
diff --git a/clfs/rc.d/init.d/network b/clfs/rc.d/init.d/network
index 69d3969..fbb55fc 100755
--- a/clfs/rc.d/init.d/network
+++ b/clfs/rc.d/init.d/network
@@ -9,65 +9,73 @@
 . /etc/network.conf
 
 if [ "$NETWORKING" != "yes" ]; then
-  echo "Networking is disabled in /etc/network.conf"
-  exit 0
+	echo "Networking is disabled in /etc/network.conf"
+	exit 0
 fi
 
 case "$1" in
 start)
-  for i in /etc/network.d/interface.*; do
-    if [ -r "$i" ]; then
-      . $i
-      if [ "$DHCP" = "yes" ]; then
-        echo -n "Starting DHCP for interface $INTERFACE: "
-        udhcpc -b -i "$INTERFACE" \
-          -p "/var/run/udhcpc.$INTERFACE.pid" \
-          > /dev/null
-      else
-        echo -n "Setting up interface $INTERFACE: "
-        ifconfig "$INTERFACE" "$IPADDRESS" \
-          netmask "$NETMASK" \
-          broadcast "$BROADCAST" up
-      fi
-        check_status
-    fi
-  done
+	for i in /etc/network.d/interface.*
+	do
+		if [ -r "$i" ]; then
+			. $i
+			if [ "$DHCP" = "yes" ]; then
+				echo -n "Starting DHCP for interface $INTERFACE: "
+				# udhcpc is braindead, bring up interface first
+				ifconfig "$INTERFACE" up
+
+				# Bridging code requires some time to wake up
+				[ "$INTERFACE" = "br0" ] && sleep 5
+
+				udhcpc -b -i "$INTERFACE" -s /etc/udhcpc.conf \
+					-p "/var/run/udhcpc.$INTERFACE.pid" \
+					> /dev/null
+			else
+				echo -n "Setting up interface $INTERFACE: "
+				ifconfig "$INTERFACE" "$IPADDRESS" \
+					netmask "$NETMASK" \
+					broadcast "$BROADCAST" up
+			fi
+			check_status
+	  	fi
+	done
 	
-  if [ "$USE_GATEWAY" = "yes" -a -n "$GATEWAY" ]; then
-    echo -n "Setting default route: "
-    route add default gw $GATEWAY
-    check_status
-  fi
-;;
+	if [ "$USE_GATEWAY" = "yes" -a -n "$GATEWAY" ]; then
+		echo -n "Setting default route: "
+		route add default gw $GATEWAY
+		check_status
+	fi
+	;;
 stop)
-  if [ "$USE_GATEWAY" = "yes" -a -n "$GATEWAY" ]; then
-    echo -n "Removing default route: "
-    route del -net 0.0.0.0
-    check_status
-  fi
+	if [ "$USE_GATEWAY" = "yes" -a -n "$GATEWAY" ]; then
+		echo -n "Removing default route: "
+		route del -net 0.0.0.0
+		check_status
+	fi
 
-  for i in /etc/network.d/interface.*; do
-    if [ -r "$i" ]; then
-    . $i
-    echo -n "Shutting down interface $INTERFACE: "
-    ifconfig $INTERFACE down
-    check_status
-    if [ "$DHCP" = "yes" ]; then
-      kill `cat "/var/run/udhcpc.$INTERFACE.pid"`
-      sleep 1
-    fi
-  fi
-  done
-;;
+	for i in /etc/network.d/interface.*
+	do
+		if [ -r "$i" ]; then
+			. $i
+			echo -n "Shutting down interface $INTERFACE: "
+			ifconfig $INTERFACE down
+			check_status
+			if [ "$DHCP" = "yes" ]; then
+				kill `cat "/var/run/udhcpc.$INTERFACE.pid"` 2>/dev/null || true
+				sleep 1
+			fi
+		fi
+	done
+	;;
 restart)
-  $0 stop
-  $0 start
-;;
+	$0 stop
+	$0 start
+	;;
 status)
-  ifconfig
-  route
-;;
+	ifconfig
+	route
+	;;
 *)
-  echo "Usage: $0 {start|stop|restart|status}"
-  exit 1
+	echo "Usage: $0 {start|stop|restart|status}"
+	exit 1
 esac
diff --git a/clfs/rc.d/init.d/sshd b/clfs/rc.d/init.d/sshd
index 1778dcd..f11daa1 100755
--- a/clfs/rc.d/init.d/sshd
+++ b/clfs/rc.d/init.d/sshd
@@ -10,45 +10,45 @@ PIDFILE=/var/run/dropbear.pid
 
 case "$1" in
 start)
-  if [ ! -r "$DSSKEY" ]; then
-    echo -n "Generating DSS host key: "
-    dropbearkey -t dss -f "$DSSKEY" >/dev/null 2>&1
-    check_status
-  fi
-  if [ ! -r "$RSAKEY" ]; then
-    echo -n "Generating RSA host key: "
-    dropbearkey -t rsa -f "$RSAKEY" >/dev/null 2>&1
-    check_status
-  fi
-  if [ -r "$PIDFILE" ]; then
-    echo "Service dropbear already running."
-  else
-    echo -n "Starting dropbear SSH server: "
-    dropbear
-    check_status
-  fi
-;;
+	if [ ! -r "$DSSKEY" ]; then
+		echo -n "Generating DSS host key: "
+		dropbearkey -t dss -f "$DSSKEY" >/dev/null 2>&1
+		check_status
+	fi
+	if [ ! -r "$RSAKEY" ]; then
+		echo -n "Generating RSA host key: "
+		dropbearkey -t rsa -f "$RSAKEY" >/dev/null 2>&1
+		check_status
+	fi
+	if [ -r "$PIDFILE" ]; then
+		echo "Service dropbear already running."
+	else
+		echo -n "Starting SSH server: "
+		dropbear
+		check_status
+	fi
+	;;
 stop)
-  if [ -r "$PIDFILE" ]; then
-    echo -n "Stopping dropbear SSH server: "
-    kill `cat "$PIDFILE"`
-    check_status
-  else
-    echo "Service dropbear not running."
-  fi
-;;
+	if [ -r "$PIDFILE" ]; then
+		echo -n "Stopping dropbear SSH server: "
+		kill `cat "$PIDFILE"`
+		check_status
+	else
+		echo "Service dropbear not running."
+	fi
+	;;
 restart)
-  $0 stop
-  $0 start
-;;
+	$0 stop
+	$0 start
+	;;
 status)
-  if [ -r "$PIDFILE" ]; then
-    echo "Service dropbear running (PID $(cat "$PIDFILE"))."
-  else
-    echo "Service dropbear not running."
-  fi
-;;
+	if [ -r "$PIDFILE" ]; then
+		echo "Service dropbear running (PID $(cat "$PIDFILE"))."
+	else
+		echo "Service dropbear not running."
+	fi
+	;;
 *)
-  echo "Usage: $0 {start|stop|restart|status}"
-  exit 1
+	echo "Usage: $0 {start|stop|restart|status}"
+	exit 1
 esac
diff --git a/clfs/rc.d/init.d/syslog b/clfs/rc.d/init.d/syslog
index b42b1df..a7c1d68 100755
--- a/clfs/rc.d/init.d/syslog
+++ b/clfs/rc.d/init.d/syslog
@@ -5,30 +5,30 @@
 
 . /etc/rc.d/init.d/functions
 
-SYSLOG_ROTATE_SIZE=80kb
+SYSLOG_ROTATE_SIZE=65536
 
 case "$1" in
 start)
-  echo -n "Starting syslogd: "
-  syslogd -m 0 -s $SYSLOG_ROTATE_SIZE -L
-  check_status
-  echo -n "Starting klogd: "
-  klogd
-  check_status
-;;
+	echo -n "Starting syslogd: "
+	syslogd -m 0 -s $SYSLOG_ROTATE_SIZE -L
+	check_status
+	echo -n "Starting klogd: "
+	klogd
+	check_status
+	;;
 stop)
-  echo -n "Stopping klogd: "
-  killall klogd
-  check_status
-  echo -n "Stopping syslogd: "
-  killall syslogd
-  check_status
-;;
+	echo -n "Stopping klogd: "
+	killall klogd
+	check_status
+	echo -n "Stopping syslogd: "
+	killall syslogd
+	check_status
+	;;
 restart)
-  $0 stop
-  $0 start
-;;
+	$0 stop
+	$0 start
+	;;
 *)
-  echo "Usage: $0 {start|stop|restart}"
-  exit 1
+	echo "Usage: $0 {start|stop|restart}"
+	exit 1
 esac
diff --git a/clfs/rc.d/shutdown b/clfs/rc.d/shutdown
index ec48ec1..74fa214 100755
--- a/clfs/rc.d/shutdown
+++ b/clfs/rc.d/shutdown
@@ -9,21 +9,27 @@ echo
 echo "System is going down for reboot or halt now."
 echo
 
+
 echo "Starting stop scripts."
 
-for i in /etc/rc.d/stop/*; do
-  if [ -x $i ]; then
-    $i stop
-  fi
+for i in /etc/rc.d/stop/*
+do
+	if [ -x $i ]; then
+		$i stop
+	fi
 done
 
-echo -n "Syncing hardware clock to system clock:"
-hwclock --systohc --utc
-check_status
+if [ -x /sbin/hwclock ] && [ -e /dev/rtc ]; then
+	echo -n "Syncing hardware clock to system clock:"
+	hwclock --systohc --utc
+	check_status
+fi
 
-echo -n "Disabling swap space: "
-swapoff -a
-check_status
+if [ -x /sbin/swapoff ]; then
+	echo -n "Disabling swap space: "
+	swapoff -a
+	check_status
+fi
 
 echo -n "Syncing all filesystems: "
 sync
@@ -31,3 +37,4 @@ check_status
 
 echo -n "Unmounting all filesystems: "
 umount -a -r
+
diff --git a/clfs/rc.d/startup b/clfs/rc.d/startup
index ce19ce7..1f23cfd 100755
--- a/clfs/rc.d/startup
+++ b/clfs/rc.d/startup
@@ -6,58 +6,57 @@
 
 /bin/mount -t proc none /proc
 /bin/mount -t sysfs none /sys
+/bin/mount -t tmpfs /tmp /tmp
 /bin/mount -t tmpfs -o mode=0755 none /dev
 /bin/mkdir /dev/pts
 /bin/mkdir /dev/shm
+/bin/mount -t tmpfs -o mode=0755 /var /var
+for x in cache lib lib/misc lib/locate local lock log mail opt run spool; do mkdir /var/$x; done
+ln -s ../tmp /var/tmp
+
 /bin/echo "/sbin/mdev" > /proc/sys/kernel/hotplug
+
+echo -n "Starting mdev: "
 /sbin/mdev -s
+check_status
 
-echo -n "Setting system clock: "
-hwclock --hctosys --utc
+echo -n "Mounting devpts: "
+mount /dev/pts
 check_status
 
-echo "Starting fsck for root filesystem."
-fsck -T -C /
-if [ "$?" -gt 2 ]; then
-  echo "WARNING: Errors found while checking root filesystem."
-  echo "You can login as root now, the system will reboot after logout."
-  sulogin
-  reboot
-elif [ "$?" = "2" ]; then
-  echo "NOTICE: System needs to be rebooted now."
-  sleep 1
-  reboot
-else
-  echo -n "Checking root filesystem: "
-  check_status
+if [ -x /sbin/hwclock ] && [ -e /dev/rtc ]; then
+	echo -n "Setting system clock: "
+	hwclock --hctosys --utc
+	check_status
 fi
 
-echo -n "Remounting root rw: "
-mount -o remount,rw /
-check_status
+if [ -x /sbin/fsck ]; then
+	echo "Starting fsck for local filesystems."
+	fsck -A -C -R -T -t nonfs,nosmbfs
+	if [ "$?" -gt 2 ]; then
+		echo "WARNING: Errors found while checking filesystems."
+		echo "You can login as root now, the system will reboot after logout."
+		sulogin
+		reboot
+	elif [ "$?" = "2" ]; then
+		echo "NOTICE: System needs to be rebooted now."
+		sleep 1
+		reboot
+	else
+		echo -n "Checking local filesystems: "
+		check_status
+	fi
+fi
 
-echo -n "Mounting devpts: "
-mount /dev/pts
-check_status
 
-echo "Starting fsck for local filesystems."
-fsck -A -C -R -T -t nonfs,nosmbfs
-if [ "$?" -gt 2 ]; then
-  echo "WARNING: Errors found while checking filesystems."
-  echo "You can login as root now, the system will reboot after logout."
-  sulogin
-  reboot
-elif [ "$?" = "2" ]; then
-  echo "NOTICE: System needs to be rebooted now."
-  sleep 1
-  reboot
-else
-  echo -n "Checking local filesystems: "
-  check_status
+if [ -x /sbin/swapon ]; then
+	echo -n "Enabling swap space: "
+	swapon -a
+	check_status
 fi
 
-echo -n "Enabling swap space: "
-swapon -a
+echo -n "Remounting root rw: "
+mount -o remount,rw /
 check_status
 
 echo -n "Setting hostname: "
@@ -81,8 +80,11 @@ check_status
 
 echo "Running start scripts."
 
-for i in /etc/rc.d/start/*; do
-  if [ -x $i ]; then
-    $i start
-  fi
+for i in /etc/rc.d/start/*
+do
+	if [ -x $i ]; then
+		$i start
+	fi
 done
+
+exit 0

-----------------------------------------------------------------------

Summary of changes:
 Makefile                        |   29 +++++++---
 clfs/rc.d/init.d/bcm47xx-switch |   74 ++++++++++++++++++++++++++
 clfs/rc.d/init.d/bridge         |   59 +++++++++++++++++++++
 clfs/rc.d/init.d/functions      |   16 +++---
 clfs/rc.d/init.d/hostapd        |   53 +++++++++++++++++++
 clfs/rc.d/init.d/network        |  110 +++++++++++++++++++++------------------
 clfs/rc.d/init.d/sshd           |   74 +++++++++++++-------------
 clfs/rc.d/init.d/syslog         |   40 +++++++-------
 clfs/rc.d/shutdown              |   27 ++++++----
 clfs/rc.d/startup               |   86 +++++++++++++++---------------
 10 files changed, 392 insertions(+), 176 deletions(-)
 create mode 100755 clfs/rc.d/init.d/bcm47xx-switch
 create mode 100755 clfs/rc.d/init.d/bridge
 create mode 100755 clfs/rc.d/init.d/hostapd


hooks/post-receive
-- 
Bootscripts for CLFS Embedded



More information about the Clfs-commits mailing list